﻿<?xml version="1.0" encoding="UTF-8"?>
<base:BaseContentPage xmlns:base="clr-namespace:NCSDirectoryApp.Views.Base"
                      xmlns="http://xamarin.com/schemas/2014/forms"
                      xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
                      x:Class="NCSDirectoryApp.Views.Authentication.AccountSettingPage"
                      xmlns:xct="http://xamarin.com/schemas/2020/toolkit"
                      xmlns:customViews="clr-namespace:NCSDirectoryApp.Views.CustomViews"
                      xmlns:resources="clr-namespace:NCSDirectoryApp.Resources"
                      xmlns:FFImage="clr-namespace:FFImageLoading.Forms;assembly=FFImageLoading.Forms"
                      xmlns:FFImageTransformations="clr-namespace:FFImageLoading.Transformations;assembly=FFImageLoading.Transformations"
                      x:Name="page">

    <Grid VerticalOptions="FillAndExpand" RowSpacing="0">
        <Grid.RowDefinitions>
            <RowDefinition Height="64" />
            <RowDefinition Height="1" />
            <RowDefinition Height="*" />
        </Grid.RowDefinitions>
        <!--<Grid>
            <StackLayout WidthRequest="50" VerticalOptions="CenterAndExpand" HorizontalOptions="Start" BackgroundColor="Transparent">
                <Image HeightRequest="25" VerticalOptions="Center" HorizontalOptions="Center" BackgroundColor="Transparent"
                   Source="{x:Static resources:ImageStrings.ic_back_arrow}">
                </Image>
                <StackLayout.GestureRecognizers>
                    <TapGestureRecognizer Command="{Binding BackCommand}" />
                </StackLayout.GestureRecognizers>
            </StackLayout>
            <StackLayout HorizontalOptions="CenterAndExpand" Orientation="Horizontal">
                <Image Style="{StaticResource titleImageStyle}" Source="{Binding PageIcon}"
                       HeightRequest="22" WidthRequest="22"/>
                <Label Text="{Binding PageTitle}" FontSize="18" FontFamily="{StaticResource LatoBold}"
                       VerticalOptions="Center" TextColor="{x:Static resources:ColorStrings.dark_blue}"
                       TextType="Html"/>
            </StackLayout>
        </Grid>-->
        <customViews:NavigationView HorizontalOptions="FillAndExpand" />
        <BoxView Grid.Row="1" BackgroundColor="#F6F6F6" HorizontalOptions="FillAndExpand" />
        <Image Grid.Row="2" Source="{x:Static resources:ImageStrings.background_image}" HorizontalOptions="Fill" VerticalOptions="Fill"
               Aspect="AspectFill" />
        <ScrollView Grid.Row="2" VerticalOptions="StartAndExpand">
            <StackLayout VerticalOptions="StartAndExpand" Padding="25" Margin="0,10" Spacing="0">
                <Frame HeightRequest="110" WidthRequest="110" CornerRadius="55" Padding="0" HorizontalOptions="Center" Margin="15"
                       HasShadow="False" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}">
                    <Grid>
                        <Label Text="Profile Image" TextTransform="Uppercase" FontSize="16"
                           TextColor="White" HorizontalOptions="Center" VerticalOptions="Center" FontFamily="{StaticResource LatoRegular}"
                           Margin="10" HorizontalTextAlignment="Center" IsVisible="{Binding IsLogoTextVisible}" />
                        <FFImage:CachedImage Source="{Binding UserProfile}" Aspect="AspectFill" VerticalOptions="CenterAndExpand"
                                             IsVisible="{Binding IsLogoImgVisible}">
                            <FFImage:CachedImage.Transformations>
                                <FFImageTransformations:CircleTransformation />
                            </FFImage:CachedImage.Transformations>
                        </FFImage:CachedImage>
                    </Grid>
                    <Frame.GestureRecognizers>
                        <TapGestureRecognizer Command="{Binding UploadProfileCommand}" />
                    </Frame.GestureRecognizers>
                </Frame>
                <Label Text="First Name" FontFamily="{StaticResource LatoRegular}" FontSize="15"
                       Opacity="0.42" TextColor="{x:Static resources:ColorStrings.black}" Margin="0,20,0,0" />
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*" RowDefinitions="50,2">
                    <Image Source="{x:Static resources:ImageStrings.ic_avatar}" WidthRequest="25" VerticalOptions="Center"
                           HorizontalOptions="Center"/>
                    <Entry Grid.Column="1" Placeholder="First Name" FontFamily="{StaticResource LatoRegular}"
                           Text="{Binding FirstName}">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="2" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
                <Label Text="Last Name" FontFamily="{StaticResource LatoRegular}" FontSize="15"
                       Opacity="0.42" TextColor="{x:Static resources:ColorStrings.black}" Margin="0,20,0,0" />
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*" RowDefinitions="50,2">
                    <Image Source="{x:Static resources:ImageStrings.ic_avatar}" WidthRequest="25" VerticalOptions="Center"
                           HorizontalOptions="Center"/>
                    <Entry Grid.Column="1" Placeholder="Last Name" FontFamily="{StaticResource LatoRegular}"
                           Text="{Binding LastName}">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="2" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
               
                <Label Text="{x:Static resources:TextStrings.old_password}" FontFamily="{StaticResource LatoRegular}"
                       FontSize="15" Opacity="0.42" TextColor="{x:Static resources:ColorStrings.black}" Margin="0,20,0,0"/>
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*,Auto" RowDefinitions="50,2">
                    <Image Source="{x:Static resources:ImageStrings.ic_password}" WidthRequest="25" VerticalOptions="Center"
                       HorizontalOptions="Center"/>
                    <Entry Grid.Column="1" Placeholder="{x:Static resources:TextStrings.old_password}" IsPassword="{Binding IsPasswordHide}"
                       FontFamily="{StaticResource LatoRegular}" Text="{Binding OldPassword}" MaxLength="10">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <Image Grid.Column="2" Source="{Binding PasswordIcon}" WidthRequest="25">
                        <Image.GestureRecognizers>
                            <TapGestureRecognizer Command="{Binding PasswordShowCommand}" CommandParameter="{Binding PasswordIcon}" />
                        </Image.GestureRecognizers>
                    </Image>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="3" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*,Auto" RowDefinitions="50,2" Margin="0,20">
                    <Image Source="{x:Static resources:ImageStrings.ic_password}" WidthRequest="25" VerticalOptions="Center"
                       HorizontalOptions="Center"/>
                    <Entry Grid.Column="1" Placeholder="{x:Static resources:TextStrings.new_password}" IsPassword="{Binding IsNewPasswordHide}"
                       FontFamily="{StaticResource LatoRegular}" Text="{Binding NewPassword}" MaxLength="10">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <Image Grid.Column="2" Source="{Binding NewPasswordIcon}" WidthRequest="25">
                        <Image.GestureRecognizers>
                            <TapGestureRecognizer Command="{Binding NewPasswordShowCommand}" CommandParameter="{Binding NewPasswordIcon}" />
                        </Image.GestureRecognizers>
                    </Image>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="3" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
                <Grid RowSpacing="0" ColumnSpacing="12" ColumnDefinitions="Auto,*,Auto" RowDefinitions="50,2">
                    <Image Source="{x:Static resources:ImageStrings.ic_password}" WidthRequest="25" VerticalOptions="Center"
                       HorizontalOptions="Center" />
                    <Entry Grid.Column="1" Placeholder="{x:Static resources:TextStrings.confirm_new_password}" 
                       IsPassword="{Binding IsConfirmPasswordHide}" MaxLength="10"
                       FontFamily="{StaticResource LatoRegular}" Text="{Binding ConfirmNewPassword}">
                        <Entry.Effects>
                            <xct:RemoveBorderEffect />
                        </Entry.Effects>
                    </Entry>
                    <Image Grid.Column="2" Source="{Binding ConfirmPasswordIcon}" WidthRequest="25">
                        <Image.GestureRecognizers>
                            <TapGestureRecognizer Command="{Binding ConfirmPasswordShowCommand}"
                                              CommandParameter="{Binding ConfirmPasswordIcon}" />
                        </Image.GestureRecognizers>
                    </Image>
                    <BoxView Grid.Row="1" Grid.ColumnSpan="3" BackgroundColor="{x:Static resources:ColorStrings.dark_blue}"
                         HorizontalOptions="Fill" />
                </Grid>
                <Frame Padding="0" HeightRequest="56" CornerRadius="10" Margin="0,60" HorizontalOptions="Fill" HasShadow="False">
                    <Frame.Background>
                        <LinearGradientBrush StartPoint="0,0" EndPoint="1,0">
                            <GradientStop Color="{x:Static resources:ColorStrings.dark_blue}" Offset="0.1"/>
                            <GradientStop Color="{x:Static resources:ColorStrings.dark_red}" Offset="1.0"/>
                        </LinearGradientBrush>
                    </Frame.Background>
                    <StackLayout Orientation="Horizontal" HorizontalOptions="CenterAndExpand" BackgroundColor="Transparent" Spacing="10">
                        <Image HeightRequest="20" WidthRequest="20" VerticalOptions="Center" HorizontalOptions="End"
                           BackgroundColor="Transparent" Source="{x:Static resources:ImageStrings.ic_save}" Margin="0" />
                        <Label Text="{x:Static resources:TextStrings.save}" FontSize="15" FontFamily="{StaticResource LatoBold}"
                           VerticalOptions="Center" HorizontalOptions="Center" TextColor="#FFFFFF" />
                    </StackLayout>
                    <Frame.GestureRecognizers>
                        <TapGestureRecognizer Command="{Binding SaveCommand}" />
                    </Frame.GestureRecognizers>
                </Frame>
            </StackLayout>
        </ScrollView>
    </Grid>

</base:BaseContentPage>